curl --request POST \
--url https://dev.intermezzo.ai/organizations/{organization_id}/insurance-details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"insuranceCountry": "DE",
"companyNumber": "98797889",
"unrs": "DE987654321",
"accidentInsuranceCompanyNumber": "98797889",
"accidentInsurancePin": "12345",
"payrollServiceProviderNumber": "98797889",
"payrollProcessingLocationNumber": "98797889",
"economicSector": 1,
"u1Selected": false,
"u2Selected": false,
"u3Selected": false,
"agencyId": "<string>",
"alternateAgencyId": "<string>",
"contactId": "<string>"
}
'{
"id": 123,
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"insuranceCountry": "DE",
"companyNumber": "98797889",
"unrs": "DE987654321",
"accidentInsuranceCompanyNumber": "98797889",
"accidentInsurancePin": "12345",
"payrollServiceProviderNumber": "98797889",
"payrollProcessingLocationNumber": "98797889",
"economicSector": 1,
"u1Selected": false,
"u2Selected": false,
"u3Selected": false,
"agencyId": "<string>",
"alternateAgencyId": "<string>",
"contactId": "<string>"
}curl --request POST \
--url https://dev.intermezzo.ai/organizations/{organization_id}/insurance-details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"insuranceCountry": "DE",
"companyNumber": "98797889",
"unrs": "DE987654321",
"accidentInsuranceCompanyNumber": "98797889",
"accidentInsurancePin": "12345",
"payrollServiceProviderNumber": "98797889",
"payrollProcessingLocationNumber": "98797889",
"economicSector": 1,
"u1Selected": false,
"u2Selected": false,
"u3Selected": false,
"agencyId": "<string>",
"alternateAgencyId": "<string>",
"contactId": "<string>"
}
'{
"id": 123,
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"insuranceCountry": "DE",
"companyNumber": "98797889",
"unrs": "DE987654321",
"accidentInsuranceCompanyNumber": "98797889",
"accidentInsurancePin": "12345",
"payrollServiceProviderNumber": "98797889",
"payrollProcessingLocationNumber": "98797889",
"economicSector": 1,
"u1Selected": false,
"u2Selected": false,
"u3Selected": false,
"agencyId": "<string>",
"alternateAgencyId": "<string>",
"contactId": "<string>"
}Get token from Auth0 and paste it here
"DE"German Betriebsnummer (8 digits: xxx-yyyy-z format)
"98797889"
German UNR.S (15 digits: company number + check digit + identifier)
"DE987654321"
German Betriebsnummer (8 digits: xxx-yyyy-z format)
"98797889"
German accident insurance PIN (5 digits)
"12345"
German Betriebsnummer (8 digits: xxx-yyyy-z format)
"98797889"
German Betriebsnummer (8 digits: xxx-yyyy-z format)
"98797889"
DE: Wirtschaftssektor
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22 Successful Response
"DE"German Betriebsnummer (8 digits: xxx-yyyy-z format)
^\d{8}$"98797889"
German UNR.S (15 digits: company number + check digit + identifier)
^\d{15}$"DE987654321"
German Betriebsnummer (8 digits: xxx-yyyy-z format)
^\d{8}$"98797889"
German accident insurance PIN (5 digits)
^\d{5}$"12345"
German Betriebsnummer (8 digits: xxx-yyyy-z format)
^\d{8}$"98797889"
German Betriebsnummer (8 digits: xxx-yyyy-z format)
^\d{8}$"98797889"
DE: Wirtschaftssektor
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22 Was this page helpful?